"use strict";
const rules = require("./rules.cjs");
const plugin = {
  meta: {
    name: "@tanstack/eslint-plugin-query"
  },
  configs: {},
  rules: rules.rules
};
Object.assign(plugin.configs, {
  recommended: {
    plugins: ["@tanstack/query"],
    rules: {
      "@tanstack/query/exhaustive-deps": "error",
      "@tanstack/query/no-rest-destructuring": "warn",
      "@tanstack/query/stable-query-client": "error",
      "@tanstack/query/no-unstable-deps": "error",
      "@tanstack/query/infinite-query-property-order": "error"
    }
  },
  "flat/recommended": [
    {
      plugins: {
        "@tanstack/query": plugin
      },
      rules: {
        "@tanstack/query/exhaustive-deps": "error",
        "@tanstack/query/no-rest-destructuring": "warn",
        "@tanstack/query/stable-query-client": "error",
        "@tanstack/query/no-unstable-deps": "error",
        "@tanstack/query/infinite-query-property-order": "error"
      }
    }
  ]
});
module.exports = plugin;
//# sourceMappingURL=index.cjs.map
